package com.lightinit.hsdataplatform.json.pojo.actviemq;

import jdk.nashorn.internal.ir.annotations.Ignore;
import org.codehaus.jackson.annotate.JsonProperty;

import java.util.List;
import java.util.Map;

/**
 * Created by Mr.Yao on 2018/1/2.
 */
public class BrokerBrowseRequest {
    @Ignore
    @JsonProperty("request")
    private Map<String,String> request;
    @Ignore
    @JsonProperty("value")
    private List<RequestValueEntity> value;
    @Ignore
    @JsonProperty("timestamp")
    private long timestamp;
    @Ignore
    @JsonProperty("status")
    private int status;

    public Map<String, String> getRequest() {
        return request;
    }

    public void setRequest(Map<String, String> request) {
        this.request = request;
    }

    public List<RequestValueEntity> getValue() {
        return value;
    }

    public void setValue(List<RequestValueEntity> value) {
        this.value = value;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }
}
